import IConfiguration from '../types/configuration';
import ICredentials from '../types/credentials';
export default class Configuration implements IConfiguration {
    readonly credentials: ICredentials;
    accessKeyId: string;
    apiUrl: string;
    secretAccessKey: string;
    analyticsApiUrl: string | undefined;
    constructor({ accessKeyId, secretAccessKey, apiUrl, analyticsApiUrl }: {
        accessKeyId?: string | undefined;
        secretAccessKey?: string | undefined;
        apiUrl?: string | undefined;
        analyticsApiUrl?: string | undefined;
    });
}
